<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.member.base.mapper.DeleteGarbageDataMapper">

    <delete id="deleteMemberAwards" parameterType="java.lang.Integer">
        delete from CU_MEMBER_AWARDS
        where
            CREATION_TIME <![CDATA[ < ]]> (SYSDATE - #{days})
            and DEL_FLAG = 1
    </delete>
    <delete id="deleteMemberLevel" parameterType="java.lang.Integer">
        delete from CU_MEMBER_LEVEL
        where
            CREATION_TIME <![CDATA[ < ]]> (SYSDATE - #{days})
            and DEL_FLAG = 1
    </delete>
    <delete id="deleteMemberGrade" parameterType="java.lang.Integer">
        delete from CU_MEMBER_GRADE
        where
            CREATION_TIME <![CDATA[ < ]]> (SYSDATE - #{days})
            and DEL_FLAG = 1
    </delete>
</mapper>
